| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ManagementExtendedOptions Class Reference

Extended options to the LicenseSpringConfiguration. More...

Inheritance diagram for LicenseSpring.ManagementExtendedOptions:

## Public Member Functions
| ManagementExtendedOptions ()
| Create default LicenseSpringExtendedOptions object.

## Properties
bool | EnableLogging`[get, set]`
| Whether SDK should log licensing activity.
string | LogFilePath`[get, set]`
| Path to log file.
int | NetworkTimeout`[get, set]`
| Network timeout in seconds, default is 7, 0 means use system defaults.
ProxySettings | Proxy`[get, set]`
| Proxy settings, if not specified then default settings will be used.
string | ServiceURL`[get, set]`
| Alternate base URL for LicenseSpring Management API.In general should not be used in client code.
Properties inherited from LicenseSpring.IManagementExtendedOptions

## Detailed Description

Extended options to the LicenseSpringConfiguration.

## Property Documentation

## ◆ EnableLogging

bool LicenseSpring.ManagementExtendedOptions.EnableLogging
| get set

Whether SDK should log licensing activity.

Implements LicenseSpring.IManagementExtendedOptions.

## ◆ LogFilePath

string LicenseSpring.ManagementExtendedOptions.LogFilePath
| get set

Path to log file.

Implements LicenseSpring.IManagementExtendedOptions.

## ◆ NetworkTimeout

int LicenseSpring.ManagementExtendedOptions.NetworkTimeout
| get set

Network timeout in seconds, default is 7, 0 means use system defaults.

Implements LicenseSpring.IManagementExtendedOptions.

## ◆ Proxy

ProxySettings LicenseSpring.ManagementExtendedOptions.Proxy
| get set

Proxy settings, if not specified then default settings will be used.

Implements LicenseSpring.IManagementExtendedOptions.

## ◆ ServiceURL

string LicenseSpring.ManagementExtendedOptions.ServiceURL
| get set

Alternate base URL for LicenseSpring Management API.In general should not be used in client code.

Implements LicenseSpring.IManagementExtendedOptions.

The documentation for this class was generated from the following file:

- ManagementConfiguration.cs